CREATE procedure [C6StagingPeriodico].[RP_ST_Cono] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE_PERIODICO
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_Cono',
		GETDATE(),
		'Elaborazione Trimestrale'
	)
	truncate table C6StagingPeriodico.RP_CONO 
	insert into C6StagingPeriodico.RP_CONO 
	select
	prog.chiaveprogetto,
	dtriferimento,
	a.chiaveConsulenza,
	--a.Area,
 -------------------------> modifica del 18/1/2017 per gestire l'accorpamento (sulla nuova CU) dell'area previdenza, non più distinta tra pre1 e pre2
                     --, [Area]
           CASE 
                           WHEN propirMod.nomeProgetto = 'Previdenza Essenziale' and a.area = 'Pre' THEN 'Pre1'
                           WHEN propirMod.nomeProgetto = 'Previdenza Secondaria' and a.area = 'Pre' THEN 'Pre2'
                     else a.area
                     END AS [Area],
      -------------------------> FINE modifica del 13/1/2017 
	quantileSup,
	quantileInf,
	quantileInter
	from [CONSUNI_PERIODICO].[consulenzaUnica].dbo.Cono c
	inner join [CONSUNI_PERIODICO].[consulenzaUnica].dbo.progetto prog
	on c.chiaveprogetto = prog.chiaveprogetto
	inner join [CONSUNI_PERIODICO].[consulenzaUnica].dbo.Area a 
	on prog.chiaveArea = a.ChiaveArea
			--- Modifica del 18/1/2017 per reperire la descrizione del progetto per la case di cui sopra
			inner join  CONSUNI_PERIODICO.ConsulenzaUnica.dbo.ProgettiPiramideModello propirMod
			on propirMod.chiaveprogettomod = prog.chiaveprogettomod
			--------------------------------------------------------------------------------------------
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE_PERIODICO
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_Cono' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE_PERIODICO
			WHERE
				Nome = 'RP_ST_Cono'
		)
end